Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDataSetToImageFilter Class Reference

`#include <vtkDataSetToImageFilter.h>`

Inheritance diagram for vtkDataSetToImageFilter:

[legend]
Collaboration diagram for vtkDataSetToImageFilter:

[legend]
List of all members.

## Detailed Description

abstract filter class

Date:
  2002/10/04 20:43:43

Revision:
  1.2

vtkDataSetToImageFilter is an abstract filter class whose subclasses take as input any dataset and generate image data on output.

See also:
  vtkGaussianSplatter vtkImplicitModeller vtkShepardMethod vtkVoxelModeller

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (85%)
  - Cedilnik, Andy (14%)

CVS logs (CVSweb):
  - .`h` (`/Filtering/vtkDataSetToImageFilter.h)`
  - .`cxx` (`/Filtering/vtkDataSetToImageFilter.cxx)`

Definition at line 47 of file vtkDataSetToImageFilter.h.

## Public Types
typedef vtkImageSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetInput (vtkDataSet *input)
vtkDataSet * | GetInput ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkDataSetToImageFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkDataSetToImageFilter ()
| ~vtkDataSetToImageFilter ()
void | ComputeInputUpdateExtents (vtkDataObject *output)

## Member Typedef Documentation

typedef vtkImageSource vtkDataSetToImageFilter::Superclass

| Reimplemented from vtkImageSource. Reimplemented in vtkImplicitModeller, vtkGaussianSplatter, vtkShepardMethod, vtkSurfaceReconstructionFilter, and vtkVoxelModeller. Definition at line 50 of file vtkDataSetToImageFilter.h.

## Constructor & Destructor Documentation

vtkDataSetToImageFilter::vtkDataSetToImageFilter | ( |  | ) | `[inline, protected]`

| Definition at line 60 of file vtkDataSetToImageFilter.h.

vtkDataSetToImageFilter::~vtkDataSetToImageFilter | ( |  | ) | `[inline, protected]`

| Definition at line 61 of file vtkDataSetToImageFilter.h.

## Member Function Documentation

virtual const char* vtkDataSetToImageFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageSource. Reimplemented in vtkImplicitModeller, vtkGaussianSplatter, vtkShepardMethod, vtkSurfaceReconstructionFilter, and vtkVoxelModeller.

int vtkDataSetToImageFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource. Reimplemented in vtkImplicitModeller, vtkGaussianSplatter, vtkShepardMethod, vtkSurfaceReconstructionFilter, and vtkVoxelModeller.

virtual int vtkDataSetToImageFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource. Reimplemented in vtkImplicitModeller, vtkGaussianSplatter, vtkShepardMethod, vtkSurfaceReconstructionFilter, and vtkVoxelModeller.

vtkDataSetToImageFilter* vtkDataSetToImageFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageSource. Reimplemented in vtkImplicitModeller, vtkGaussianSplatter, vtkShepardMethod, vtkSurfaceReconstructionFilter, and vtkVoxelModeller.

void vtkDataSetToImageFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageSource. Reimplemented in vtkImplicitModeller, vtkGaussianSplatter, vtkShepardMethod, vtkSurfaceReconstructionFilter, and vtkVoxelModeller.

virtual void vtkDataSetToImageFilter::SetInput | ( | vtkDataSet * | input | ) | `[virtual]`

| Set / get the input data or filter.

vtkDataSet* vtkDataSetToImageFilter::GetInput | ( |  | ) |

| Set / get the input data or filter.

void vtkDataSetToImageFilter::ComputeInputUpdateExtents | ( | vtkDataObject * | output | ) | `[protected, virtual]`

| What is the input update extent that is required to produce the desired output? By default, the whole input is always required but this is overridden in many subclasses. Reimplemented from vtkSource.

The documentation for this class was generated from the following file:

- Filtering/vtkDataSetToImageFilter.h